Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: contentOwners.list
컬렉션을 사용해 정리하기
내 환경설정을 기준으로 콘텐츠를 저장하고 분류하세요.
HTTP 요청
GET https://youtubepartner.googleapis.com/youtube/partner/v1/contentOwners
URL은 gRPC 트랜스코딩 구문을 사용합니다.
쿼리 매개변수
| 매개변수 |
fetchMine |
boolean
fetchMine 매개변수는 현재 인증된 API 사용자와 연결된 콘텐츠 소유자로 결과 집합을 제한합니다.
|
id |
string
id 매개변수는 검색할 YouTube 콘텐츠 소유자 ID의 쉼표로 구분된 목록을 지정합니다.
|
onBehalfOfContentOwner |
string
onBehalfOfContentOwner 매개변수는 사용자가 대리하는 콘텐츠 소유자를 식별합니다. 이 매개변수는 계정이 여러 콘텐츠 소유자와 연결된 사용자를 지원합니다.
|
응답 본문
contentOwners.list 호출에 대한 응답으로 반환된 콘텐츠 소유자 목록입니다.
성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.
| JSON 표현 |
{
"kind": string,
"items": [
{
object (ContentOwner)
}
]
} |
| 필드 |
kind |
string
API 응답 유형입니다. 이 작업의 경우 값은 youtubePartner#contentOwnerList입니다.
|
items[] |
object (ContentOwner)
요청 기준과 일치하는 콘텐츠 소유자 목록입니다.
|
승인 범위
다음 OAuth 범위 중 하나가 필요합니다.
https://www.googleapis.com/auth/youtubepartner
https://www.googleapis.com/auth/youtubepartner-content-owner-readonly
자세한 내용은 OAuth 2.0 Overview를 참고하세요.
All rights reserved. 자바는 Oracle 및/또는 Oracle 계열사의 등록 상표입니다.
최종 업데이트: 2025-08-21(UTC)
[[["이해하기 쉬움","easyToUnderstand","thumb-up"],["문제가 해결됨","solvedMyProblem","thumb-up"],["기타","otherUp","thumb-up"]],[["필요한 정보가 없음","missingTheInformationINeed","thumb-down"],["너무 복잡함/단계 수가 너무 많음","tooComplicatedTooManySteps","thumb-down"],["오래됨","outOfDate","thumb-down"],["번역 문제","translationIssue","thumb-down"],["샘플/코드 문제","samplesCodeIssue","thumb-down"],["기타","otherDown","thumb-down"]],["최종 업데이트: 2025-08-21(UTC)"],[],["This document details how to retrieve a list of YouTube content owners using the `contentOwners.list` method. The `GET` request is sent to `https://youtubepartner.googleapis.com/youtube/partner/v1/contentOwners`. Optional query parameters include `fetchMine`, `id`, and `onBehalfOfContentOwner`. The request body must be empty. A successful response returns a JSON object containing a list of `contentOwner` resources under `items`, with `kind` as `youtubePartner#contentOwnerList`. Authorization requires either `youtubepartner` or `youtubepartner-content-owner-readonly` OAuth scopes.\n"]]